/*
 * JRFakeParameter.java
 *
 * Created on September 21, 2006, 4:43 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package it.businesslogic.ireport.util;

import net.sf.jasperreports.engine.JRExpression;
import net.sf.jasperreports.engine.JRField;
import net.sf.jasperreports.engine.JRGroup;
import net.sf.jasperreports.engine.JRParameter;
import net.sf.jasperreports.engine.JRVariable;

/**
 *
 * @author gtoffoli
 */
public class JRFakeObject implements JRParameter, JRVariable, JRField {
    
    /** Creates a new instance of JRFakeParameter */
    public JRFakeObject() {
    }

    public String getName() {
        return null;
    }
    
    public Object getValue() {
        return null;
    }

    public String getDescription() {
        return null;
    }

    public void setDescription(String string) {
    }

    public Class getValueClass() {
         return null;
    }

    public String getValueClassName() {
        return null;
    }

    public boolean isSystemDefined() {
        return false;
    }

    public boolean isForPrompting() {
        return false;
    }

    public JRExpression getDefaultValueExpression() {
        return null;
    }

    public Class getIncrementerFactoryClass() {
        return null;
    }

    public String getIncrementerFactoryClassName() {
        return null;
    }

    public byte getResetType() {
        return 0;
    }

    public byte getIncrementType() {
        return 0;
    }

    public byte getCalculation() {
        return 0;
    }

    public JRExpression getExpression() {
        return null;
    }

    public JRExpression getInitialValueExpression() {
        return null;
    }

    public JRGroup getResetGroup() {
        return null;
    }

    public JRGroup getIncrementGroup() {
        return null;
    }
    
}
